[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParam.LoadFromStream

Load a parameter value from stream

## Declaration

Source position: db.pas line 1247

`public procedure TParam.LoadFromStream(`
`Stream: TStream;`
`BlobType: TBlobType`
`);`

## Arguments

`Stream` |  | Stream to load BLOB data from.
`BlobType` |  | Data type for the parameter

## Description

LoadFromStream can be used to load a BLOB-type parameter from a stream. The BlobType parameter can be used to set the exact data type of the parameter: it must be one of the BLOB data types.

## Errors

If the stream does not support taking the Size of the stream, an exception will be raised.

## See also

TParam.LoadFromFile |  | Load a parameter value from file
TParam.SaveToStream